<?php

/**
 * Create a new Fingerprint with the specified fingerprint and name.
 * A POST request must be made.
 */

require_once('database.php');

// Must be set and not empty.
if (empty($_POST['fingerprint']) || empty($_POST['name'])) return err();
$f = $_POST['fingerprint'];
$n = $_POST['name'];

// Validation.
if (!preg_match('/^[a-zA-Z\d]+$/', $n)) return err();
if (strlen($f) > 200) return err();

// Name already taken?
$db = Database::connect();
if ($db->getFingerprintByName($n)) {
	echo json_encode(['nameTaken' => true]);
	return;
}

// Set the cookie.
if (!$db) return err();
$fingerprint = $db->createFingerprint($f, $n);
if (!$fingerprint) return err();
echo json_encode(['fingerprint' => $fingerprint]);


function err() {
	echo json_encode(['error' => true]);
}

