<?php

/**
 * Create a new Ping with the specified fingerprint.
 * A POST request must be made.
 * Output: fingerpints, pings
 */

require_once('database.php');

// POST variables.
if (empty($_POST['fingerprint'])) return err();
$f = $_POST['fingerprint'];
if (strlen($f) > 200) return err(); // Validation.

// Create the Ping.
$db = Database::connect();
if (!$db) return err();
$fingerprint = $db->createPing($f);
if (!$fingerprint) return err();

// Output all Fingerpints and recent Pings.
echo json_encode([
	'fingerprints' => $db->getFingerprints(),
	'pings' => $db->getRecentPings()
]);


function err() {
	echo json_encode(['error' => true]);
}


